package mvd.jester;

import java.io.File;
import mvd.jester.model.SystemSetup;

/**
 * Hello world!
 *
 */
public class App {
    public static void main(String[] args) {
        boolean runTests = false;
        if (runTests) {

            SystemSetup.Builder builder = new SystemSetup.Builder().setNumberOfProcessors(8);

            TestEnvironment te = new TestEnvironment(builder, 40000);

            // te.registerTestInterface(SchmidMottok.class);
            te.registerTestPair(mvd.jester.tests.MaiaBertogna.class,
                    mvd.jester.simulator.MaiaBertogna.class);


            te.runTests();
        } else {
            File folder = new File("results");

            for (File f : folder.listFiles()) {
                SystemSetup systemSetup = SystemSetup.fromFile(f.toPath().toString());

                mvd.jester.simulator.MaiaBertogna mb_sim =
                        new mvd.jester.simulator.MaiaBertogna(systemSetup);
                mvd.jester.tests.MaiaBertogna mb_test =
                        new mvd.jester.tests.MaiaBertogna(systemSetup);

                boolean simCheck = mb_sim.runSimulation();
                boolean schedCheck = mb_test.runSchedulabilityCheck();

                if (simCheck == false && schedCheck == true) {
                    System.out.println(f.getName());
                }
            }
        }


    }
}
